import Vue from 'vue'
import App from './App'
import { config } from './api/request/config.js'
import './uni.promisify.adaptor'

// import devTools from "./devTools/index.js";
// import devToolsConfig from './devTools/config.js';
// Vue.use(devTools, devToolsConfig)

Vue.config.productionTip = false
/****** 全局图片服务地址方法 ******/
Vue.prototype.imagesUrl = function(imgUrl){
	return config.imagesUrl + imgUrl
}
/****** 全局版本字符返回 ******/
Vue.prototype.versionField = function(){
  return config.VERSION_DIFFERENCE_FIELD
}
/****** H5统一认证地址 ******/
Vue.prototype.unifiedCertificationUrl = function(){
  return config.UNIFIED_CERTIFICATION_URL
}

App.mpType = 'app'

const app = new Vue({
  ...App
})
app.$mount()